> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all the tasks.

> Get all the tasks in the system.

## OpenAPI

````json GET /v1/tasks
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/tasks": {
      "get": {
        "tags": [
          "Task"
        ],
        "summary": "Get all the tasks.",
        "description": "Get all the tasks in the system.",
        "operationId": "getAllTasks",
        "x-auth-resource": "Reader,Writer,Manager",
        "parameters": [
          {
            "name": "task_type",
            "in": "query",
            "required": false,
            "type": "string",
            "description": "Task type.",
            "enum": [
              "NODE_ATTESTATION",
              "CERTIFICATE_ISSUANCE",
              "BUILD_WHITELIST",
              "DOMAIN_WHITELIST"
            ]
          },
          {
            "name": "status",
            "in": "query",
            "description": "Task status.",
            "required": false,
            "type": "string",
            "enum": [
              "PENDING",
              "CLOSED"
            ]
          },
          {
            "name": "requester",
            "in": "query",
            "description": "UserName of requester.",
            "required": false,
            "type": "string"
          },
          {
            "name": "approver",
            "in": "query",
            "description": "UserName of approver.",
            "required": false,
            "type": "string"
          },
          {
            "name": "all_search",
            "in": "query",
            "description": "Search on Requester or Request.",
            "required": false,
            "type": "string"
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum numbers of tasks to return.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Number of tasks to skip from start.",
            "required": false,
            "type": "integer"
          },
          {
            "name": "sort_by",
            "in": "query",
            "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC",
            "required": false,
            "type": "string"
          },
          {
            "name": "base_filters",
            "in": "query",
            "description": "Filters to be applied on base query (count and results) key1:ASC,key2:DESC,key3:DESC",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Search result for Task objects.",
            "schema": {
              "$ref": "#/definitions/GetAllTasksResponse"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

